Imported Upstream version 2.2.1
[platform/upstream/fdupes.git] / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 VPATH = @srcdir@
18 am__is_gnu_make = { \
19   if test -z '$(MAKELEVEL)'; then \
20     false; \
21   elif test -n '$(MAKE_HOST)'; then \
22     true; \
23   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24     true; \
25   else \
26     false; \
27   fi; \
28 }
29 am__make_running_with_option = \
30   case $${target_option-} in \
31       ?) ;; \
32       *) echo "am__make_running_with_option: internal error: invalid" \
33               "target option '$${target_option-}' specified" >&2; \
34          exit 1;; \
35   esac; \
36   has_opt=no; \
37   sane_makeflags=$$MAKEFLAGS; \
38   if $(am__is_gnu_make); then \
39     sane_makeflags=$$MFLAGS; \
40   else \
41     case $$MAKEFLAGS in \
42       *\\[\ \   ]*) \
43         bs=\\; \
44         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46     esac; \
47   fi; \
48   skip_next=no; \
49   strip_trailopt () \
50   { \
51     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52   }; \
53   for flg in $$sane_makeflags; do \
54     test $$skip_next = yes && { skip_next=no; continue; }; \
55     case $$flg in \
56       *=*|--*) continue;; \
57         -*I) strip_trailopt 'I'; skip_next=yes;; \
58       -*I?*) strip_trailopt 'I';; \
59         -*O) strip_trailopt 'O'; skip_next=yes;; \
60       -*O?*) strip_trailopt 'O';; \
61         -*l) strip_trailopt 'l'; skip_next=yes;; \
62       -*l?*) strip_trailopt 'l';; \
63       -[dEDm]) skip_next=yes;; \
64       -[JT]) skip_next=yes;; \
65     esac; \
66     case $$flg in \
67       *$$target_option*) has_opt=yes; break;; \
68     esac; \
69   done; \
70   test $$has_opt = yes
71 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73 pkgdatadir = $(datadir)/@PACKAGE@
74 pkgincludedir = $(includedir)/@PACKAGE@
75 pkglibdir = $(libdir)/@PACKAGE@
76 pkglibexecdir = $(libexecdir)/@PACKAGE@
77 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78 install_sh_DATA = $(install_sh) -c -m 644
79 install_sh_PROGRAM = $(install_sh) -c
80 install_sh_SCRIPT = $(install_sh) -c
81 INSTALL_HEADER = $(INSTALL_DATA)
82 transform = $(program_transform_name)
83 NORMAL_INSTALL = :
84 PRE_INSTALL = :
85 POST_INSTALL = :
86 NORMAL_UNINSTALL = :
87 PRE_UNINSTALL = :
88 POST_UNINSTALL = :
89 bin_PROGRAMS = fdupes$(EXEEXT)
90 @WITH_NCURSES_TRUE@am__append_1 = filegroup.h\
91 @WITH_NCURSES_TRUE@ fileaction.h\
92 @WITH_NCURSES_TRUE@ fileaction.c\
93 @WITH_NCURSES_TRUE@ ncurses-commands.c\
94 @WITH_NCURSES_TRUE@ ncurses-commands.h\
95 @WITH_NCURSES_TRUE@ ncurses-getcommand.c\
96 @WITH_NCURSES_TRUE@ ncurses-getcommand.h\
97 @WITH_NCURSES_TRUE@ ncurses-interface.c\
98 @WITH_NCURSES_TRUE@ ncurses-interface.h\
99 @WITH_NCURSES_TRUE@ ncurses-print.c\
100 @WITH_NCURSES_TRUE@ ncurses-print.h\
101 @WITH_NCURSES_TRUE@ ncurses-prompt.c\
102 @WITH_NCURSES_TRUE@ ncurses-prompt.h\
103 @WITH_NCURSES_TRUE@ ncurses-status.c\
104 @WITH_NCURSES_TRUE@ ncurses-status.h\
105 @WITH_NCURSES_TRUE@ commandidentifier.c\
106 @WITH_NCURSES_TRUE@ commandidentifier.h\
107 @WITH_NCURSES_TRUE@ wcs.c\
108 @WITH_NCURSES_TRUE@ wcs.h\
109 @WITH_NCURSES_TRUE@ positive_wcwidth.c\
110 @WITH_NCURSES_TRUE@ positive_wcwidth.h
111
112 subdir = .
113 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
114 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
115 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
116         $(ACLOCAL_M4)
117 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
118         $(am__configure_deps) $(am__DIST_COMMON)
119 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
120  configure.lineno config.status.lineno
121 mkinstalldirs = $(install_sh) -d
122 CONFIG_HEADER = config.h
123 CONFIG_CLEAN_FILES =
124 CONFIG_CLEAN_VPATH_FILES =
125 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" \
126         "$(DESTDIR)$(man7dir)"
127 PROGRAMS = $(bin_PROGRAMS)
128 am__fdupes_SOURCES_DIST = fdupes.c fdupes.h errormsg.c errormsg.h \
129         dir.c dir.h log.c log.h fmatch.c fmatch.h sigint.c sigint.h \
130         flags.c flags.h confirmmatch.c confirmmatch.h \
131         removeifnotchanged.c removeifnotchanged.h \
132         mbstowcs_escape_invalid.c mbstowcs_escape_invalid.h md5/md5.c \
133         md5/md5.h filegroup.h fileaction.h fileaction.c \
134         ncurses-commands.c ncurses-commands.h ncurses-getcommand.c \
135         ncurses-getcommand.h ncurses-interface.c ncurses-interface.h \
136         ncurses-print.c ncurses-print.h ncurses-prompt.c \
137         ncurses-prompt.h ncurses-status.c ncurses-status.h \
138         commandidentifier.c commandidentifier.h wcs.c wcs.h \
139         positive_wcwidth.c positive_wcwidth.h
140 am__dirstamp = $(am__leading_dot)dirstamp
141 @WITH_NCURSES_TRUE@am__objects_1 = fileaction.$(OBJEXT) \
142 @WITH_NCURSES_TRUE@     ncurses-commands.$(OBJEXT) \
143 @WITH_NCURSES_TRUE@     ncurses-getcommand.$(OBJEXT) \
144 @WITH_NCURSES_TRUE@     ncurses-interface.$(OBJEXT) \
145 @WITH_NCURSES_TRUE@     ncurses-print.$(OBJEXT) \
146 @WITH_NCURSES_TRUE@     ncurses-prompt.$(OBJEXT) \
147 @WITH_NCURSES_TRUE@     ncurses-status.$(OBJEXT) \
148 @WITH_NCURSES_TRUE@     commandidentifier.$(OBJEXT) wcs.$(OBJEXT) \
149 @WITH_NCURSES_TRUE@     positive_wcwidth.$(OBJEXT)
150 am_fdupes_OBJECTS = fdupes.$(OBJEXT) errormsg.$(OBJEXT) dir.$(OBJEXT) \
151         log.$(OBJEXT) fmatch.$(OBJEXT) sigint.$(OBJEXT) \
152         flags.$(OBJEXT) confirmmatch.$(OBJEXT) \
153         removeifnotchanged.$(OBJEXT) mbstowcs_escape_invalid.$(OBJEXT) \
154         md5/md5.$(OBJEXT) $(am__objects_1)
155 fdupes_OBJECTS = $(am_fdupes_OBJECTS)
156 fdupes_LDADD = $(LDADD)
157 AM_V_P = $(am__v_P_@AM_V@)
158 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
159 am__v_P_0 = false
160 am__v_P_1 = :
161 AM_V_GEN = $(am__v_GEN_@AM_V@)
162 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
163 am__v_GEN_0 = @echo "  GEN     " $@;
164 am__v_GEN_1 = 
165 AM_V_at = $(am__v_at_@AM_V@)
166 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
167 am__v_at_0 = @
168 am__v_at_1 = 
169 DEFAULT_INCLUDES = -I.@am__isrc@
170 depcomp = $(SHELL) $(top_srcdir)/depcomp
171 am__maybe_remake_depfiles = depfiles
172 am__depfiles_remade = ./$(DEPDIR)/commandidentifier.Po \
173         ./$(DEPDIR)/confirmmatch.Po ./$(DEPDIR)/dir.Po \
174         ./$(DEPDIR)/errormsg.Po ./$(DEPDIR)/fdupes.Po \
175         ./$(DEPDIR)/fileaction.Po ./$(DEPDIR)/flags.Po \
176         ./$(DEPDIR)/fmatch.Po ./$(DEPDIR)/log.Po \
177         ./$(DEPDIR)/mbstowcs_escape_invalid.Po \
178         ./$(DEPDIR)/ncurses-commands.Po \
179         ./$(DEPDIR)/ncurses-getcommand.Po \
180         ./$(DEPDIR)/ncurses-interface.Po ./$(DEPDIR)/ncurses-print.Po \
181         ./$(DEPDIR)/ncurses-prompt.Po ./$(DEPDIR)/ncurses-status.Po \
182         ./$(DEPDIR)/positive_wcwidth.Po \
183         ./$(DEPDIR)/removeifnotchanged.Po ./$(DEPDIR)/sigint.Po \
184         ./$(DEPDIR)/wcs.Po md5/$(DEPDIR)/md5.Po
185 am__mv = mv -f
186 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
187         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
188 AM_V_CC = $(am__v_CC_@AM_V@)
189 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
190 am__v_CC_0 = @echo "  CC      " $@;
191 am__v_CC_1 = 
192 CCLD = $(CC)
193 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
194 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
195 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
196 am__v_CCLD_0 = @echo "  CCLD    " $@;
197 am__v_CCLD_1 = 
198 SOURCES = $(fdupes_SOURCES)
199 DIST_SOURCES = $(am__fdupes_SOURCES_DIST)
200 am__can_run_installinfo = \
201   case $$AM_UPDATE_INFO_DIR in \
202     n|no|NO) false;; \
203     *) (install-info --version) >/dev/null 2>&1;; \
204   esac
205 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
206 am__vpath_adj = case $$p in \
207     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
208     *) f=$$p;; \
209   esac;
210 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
211 am__install_max = 40
212 am__nobase_strip_setup = \
213   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
214 am__nobase_strip = \
215   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
216 am__nobase_list = $(am__nobase_strip_setup); \
217   for p in $$list; do echo "$$p $$p"; done | \
218   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
219   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
220     if (++n[$$2] == $(am__install_max)) \
221       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
222     END { for (dir in files) print dir, files[dir] }'
223 am__base_list = \
224   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
225   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
226 am__uninstall_files_from_dir = { \
227   test -z "$$files" \
228     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
229     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
230          $(am__cd) "$$dir" && rm -f $$files; }; \
231   }
232 man1dir = $(mandir)/man1
233 man7dir = $(mandir)/man7
234 NROFF = nroff
235 MANS = $(dist_man1_MANS) $(dist_man7_MANS)
236 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
237         $(LISP)config.h.in
238 # Read a list of newline-separated strings from the standard input,
239 # and print each of them once, without duplicates.  Input order is
240 # *not* preserved.
241 am__uniquify_input = $(AWK) '\
242   BEGIN { nonempty = 0; } \
243   { items[$$0] = 1; nonempty = 1; } \
244   END { if (nonempty) { for (i in items) print i; }; } \
245 '
246 # Make sure the list of sources is unique.  This is necessary because,
247 # e.g., the same source file might be shared among _SOURCES variables
248 # for different programs/libraries.
249 am__define_uniq_tagged_files = \
250   list='$(am__tagged_files)'; \
251   unique=`for i in $$list; do \
252     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
253   done | $(am__uniquify_input)`
254 ETAGS = etags
255 CTAGS = ctags
256 CSCOPE = cscope
257 AM_RECURSIVE_TARGETS = cscope
258 am__DIST_COMMON = $(dist_man1_MANS) $(dist_man7_MANS) \
259         $(srcdir)/Makefile.in $(srcdir)/config.h.in INSTALL README \
260         compile depcomp install-sh missing
261 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
262 distdir = $(PACKAGE)-$(VERSION)
263 top_distdir = $(distdir)
264 am__remove_distdir = \
265   if test -d "$(distdir)"; then \
266     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
267       && rm -rf "$(distdir)" \
268       || { sleep 5 && rm -rf "$(distdir)"; }; \
269   else :; fi
270 am__post_remove_distdir = $(am__remove_distdir)
271 DIST_ARCHIVES = $(distdir).tar.gz
272 GZIP_ENV = --best
273 DIST_TARGETS = dist-gzip
274 distuninstallcheck_listfiles = find . -type f -print
275 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
276   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
277 distcleancheck_listfiles = find . -type f -print
278 ACLOCAL = @ACLOCAL@
279 AMTAR = @AMTAR@
280 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
281 AUTOCONF = @AUTOCONF@
282 AUTOHEADER = @AUTOHEADER@
283 AUTOMAKE = @AUTOMAKE@
284 AWK = @AWK@
285 CC = @CC@
286 CCDEPMODE = @CCDEPMODE@
287 CFLAGS = @CFLAGS@
288 CPP = @CPP@
289 CPPFLAGS = @CPPFLAGS@
290 CYGPATH_W = @CYGPATH_W@
291 DEFS = @DEFS@
292 DEPDIR = @DEPDIR@
293 ECHO_C = @ECHO_C@
294 ECHO_N = @ECHO_N@
295 ECHO_T = @ECHO_T@
296 EGREP = @EGREP@
297 EXEEXT = @EXEEXT@
298 GREP = @GREP@
299 INSTALL = @INSTALL@
300 INSTALL_DATA = @INSTALL_DATA@
301 INSTALL_PROGRAM = @INSTALL_PROGRAM@
302 INSTALL_SCRIPT = @INSTALL_SCRIPT@
303 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
304 LDFLAGS = @LDFLAGS@
305 LIBOBJS = @LIBOBJS@
306 LIBS = @LIBS@
307 LTLIBOBJS = @LTLIBOBJS@
308 MAKEINFO = @MAKEINFO@
309 MKDIR_P = @MKDIR_P@
310 NCURSES_CFLAGS = @NCURSES_CFLAGS@
311 NCURSES_LIBS = @NCURSES_LIBS@
312 OBJEXT = @OBJEXT@
313 PACKAGE = @PACKAGE@
314 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
315 PACKAGE_NAME = @PACKAGE_NAME@
316 PACKAGE_STRING = @PACKAGE_STRING@
317 PACKAGE_TARNAME = @PACKAGE_TARNAME@
318 PACKAGE_URL = @PACKAGE_URL@
319 PACKAGE_VERSION = @PACKAGE_VERSION@
320 PATH_SEPARATOR = @PATH_SEPARATOR@
321 PKG_CONFIG = @PKG_CONFIG@
322 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
323 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
324 SET_MAKE = @SET_MAKE@
325 SHELL = @SHELL@
326 STRIP = @STRIP@
327 VERSION = @VERSION@
328 abs_builddir = @abs_builddir@
329 abs_srcdir = @abs_srcdir@
330 abs_top_builddir = @abs_top_builddir@
331 abs_top_srcdir = @abs_top_srcdir@
332 ac_ct_CC = @ac_ct_CC@
333 am__include = @am__include@
334 am__leading_dot = @am__leading_dot@
335 am__quote = @am__quote@
336 am__tar = @am__tar@
337 am__untar = @am__untar@
338 bindir = @bindir@
339 build_alias = @build_alias@
340 builddir = @builddir@
341 datadir = @datadir@
342 datarootdir = @datarootdir@
343 docdir = @docdir@
344 dvidir = @dvidir@
345 exec_prefix = @exec_prefix@
346 host_alias = @host_alias@
347 htmldir = @htmldir@
348 includedir = @includedir@
349 infodir = @infodir@
350 install_sh = @install_sh@
351 libdir = @libdir@
352 libexecdir = @libexecdir@
353 localedir = @localedir@
354 localstatedir = @localstatedir@
355 mandir = @mandir@
356 mkdir_p = @mkdir_p@
357 oldincludedir = @oldincludedir@
358 pdfdir = @pdfdir@
359 prefix = @prefix@
360 program_transform_name = @program_transform_name@
361 psdir = @psdir@
362 runstatedir = @runstatedir@
363 sbindir = @sbindir@
364 sharedstatedir = @sharedstatedir@
365 srcdir = @srcdir@
366 sysconfdir = @sysconfdir@
367 target_alias = @target_alias@
368 top_build_prefix = @top_build_prefix@
369 top_builddir = @top_builddir@
370 top_srcdir = @top_srcdir@
371 fdupes_SOURCES = fdupes.c fdupes.h errormsg.c errormsg.h dir.c dir.h \
372         log.c log.h fmatch.c fmatch.h sigint.c sigint.h flags.c \
373         flags.h confirmmatch.c confirmmatch.h removeifnotchanged.c \
374         removeifnotchanged.h mbstowcs_escape_invalid.c \
375         mbstowcs_escape_invalid.h md5/md5.c md5/md5.h $(am__append_1)
376 dist_man1_MANS = fdupes.1
377 @WITH_NCURSES_TRUE@dist_man7_MANS = fdupes-help.7
378 EXTRA_DIST = testdir CHANGES CONTRIBUTORS
379 all: config.h
380         $(MAKE) $(AM_MAKEFLAGS) all-am
381
382 .SUFFIXES:
383 .SUFFIXES: .c .o .obj
384 am--refresh: Makefile
385         @:
386 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
387         @for dep in $?; do \
388           case '$(am__configure_deps)' in \
389             *$$dep*) \
390               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
391               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
392                 && exit 0; \
393               exit 1;; \
394           esac; \
395         done; \
396         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
397         $(am__cd) $(top_srcdir) && \
398           $(AUTOMAKE) --foreign Makefile
399 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
400         @case '$?' in \
401           *config.status*) \
402             echo ' $(SHELL) ./config.status'; \
403             $(SHELL) ./config.status;; \
404           *) \
405             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
406             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
407         esac;
408
409 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
410         $(SHELL) ./config.status --recheck
411
412 $(top_srcdir)/configure:  $(am__configure_deps)
413         $(am__cd) $(srcdir) && $(AUTOCONF)
414 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
415         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
416 $(am__aclocal_m4_deps):
417
418 config.h: stamp-h1
419         @test -f $@ || rm -f stamp-h1
420         @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
421
422 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
423         @rm -f stamp-h1
424         cd $(top_builddir) && $(SHELL) ./config.status config.h
425 $(srcdir)/config.h.in:  $(am__configure_deps) 
426         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
427         rm -f stamp-h1
428         touch $@
429
430 distclean-hdr:
431         -rm -f config.h stamp-h1
432 install-binPROGRAMS: $(bin_PROGRAMS)
433         @$(NORMAL_INSTALL)
434         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
435         if test -n "$$list"; then \
436           echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
437           $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
438         fi; \
439         for p in $$list; do echo "$$p $$p"; done | \
440         sed 's/$(EXEEXT)$$//' | \
441         while read p p1; do if test -f $$p \
442           ; then echo "$$p"; echo "$$p"; else :; fi; \
443         done | \
444         sed -e 'p;s,.*/,,;n;h' \
445             -e 's|.*|.|' \
446             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
447         sed 'N;N;N;s,\n, ,g' | \
448         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
449           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
450             if ($$2 == $$4) files[d] = files[d] " " $$1; \
451             else { print "f", $$3 "/" $$4, $$1; } } \
452           END { for (d in files) print "f", d, files[d] }' | \
453         while read type dir files; do \
454             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
455             test -z "$$files" || { \
456               echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
457               $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
458             } \
459         ; done
460
461 uninstall-binPROGRAMS:
462         @$(NORMAL_UNINSTALL)
463         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
464         files=`for p in $$list; do echo "$$p"; done | \
465           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
466               -e 's/$$/$(EXEEXT)/' \
467         `; \
468         test -n "$$list" || exit 0; \
469         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
470         cd "$(DESTDIR)$(bindir)" && rm -f $$files
471
472 clean-binPROGRAMS:
473         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
474 md5/$(am__dirstamp):
475         @$(MKDIR_P) md5
476         @: > md5/$(am__dirstamp)
477 md5/$(DEPDIR)/$(am__dirstamp):
478         @$(MKDIR_P) md5/$(DEPDIR)
479         @: > md5/$(DEPDIR)/$(am__dirstamp)
480 md5/md5.$(OBJEXT): md5/$(am__dirstamp) md5/$(DEPDIR)/$(am__dirstamp)
481
482 fdupes$(EXEEXT): $(fdupes_OBJECTS) $(fdupes_DEPENDENCIES) $(EXTRA_fdupes_DEPENDENCIES) 
483         @rm -f fdupes$(EXEEXT)
484         $(AM_V_CCLD)$(LINK) $(fdupes_OBJECTS) $(fdupes_LDADD) $(LIBS)
485
486 mostlyclean-compile:
487         -rm -f *.$(OBJEXT)
488         -rm -f md5/*.$(OBJEXT)
489
490 distclean-compile:
491         -rm -f *.tab.c
492
493 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/commandidentifier.Po@am__quote@ # am--include-marker
494 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/confirmmatch.Po@am__quote@ # am--include-marker
495 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dir.Po@am__quote@ # am--include-marker
496 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/errormsg.Po@am__quote@ # am--include-marker
497 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fdupes.Po@am__quote@ # am--include-marker
498 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fileaction.Po@am__quote@ # am--include-marker
499 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flags.Po@am__quote@ # am--include-marker
500 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fmatch.Po@am__quote@ # am--include-marker
501 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log.Po@am__quote@ # am--include-marker
502 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mbstowcs_escape_invalid.Po@am__quote@ # am--include-marker
503 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncurses-commands.Po@am__quote@ # am--include-marker
504 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncurses-getcommand.Po@am__quote@ # am--include-marker
505 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncurses-interface.Po@am__quote@ # am--include-marker
506 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncurses-print.Po@am__quote@ # am--include-marker
507 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncurses-prompt.Po@am__quote@ # am--include-marker
508 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncurses-status.Po@am__quote@ # am--include-marker
509 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/positive_wcwidth.Po@am__quote@ # am--include-marker
510 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/removeifnotchanged.Po@am__quote@ # am--include-marker
511 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sigint.Po@am__quote@ # am--include-marker
512 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/wcs.Po@am__quote@ # am--include-marker
513 @AMDEP_TRUE@@am__include@ @am__quote@md5/$(DEPDIR)/md5.Po@am__quote@ # am--include-marker
514
515 $(am__depfiles_remade):
516         @$(MKDIR_P) $(@D)
517         @echo '# dummy' >$@-t && $(am__mv) $@-t $@
518
519 am--depfiles: $(am__depfiles_remade)
520
521 .c.o:
522 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
523 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
524 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
525 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
526 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
527 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
528
529 .c.obj:
530 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
531 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
532 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
533 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
534 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
535 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
536 install-man1: $(dist_man1_MANS)
537         @$(NORMAL_INSTALL)
538         @list1='$(dist_man1_MANS)'; \
539         list2=''; \
540         test -n "$(man1dir)" \
541           && test -n "`echo $$list1$$list2`" \
542           || exit 0; \
543         echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
544         $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
545         { for i in $$list1; do echo "$$i"; done;  \
546         if test -n "$$list2"; then \
547           for i in $$list2; do echo "$$i"; done \
548             | sed -n '/\.1[a-z]*$$/p'; \
549         fi; \
550         } | while read p; do \
551           if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
552           echo "$$d$$p"; echo "$$p"; \
553         done | \
554         sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
555               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
556         sed 'N;N;s,\n, ,g' | { \
557         list=; while read file base inst; do \
558           if test "$$base" = "$$inst"; then list="$$list $$file"; else \
559             echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
560             $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
561           fi; \
562         done; \
563         for i in $$list; do echo "$$i"; done | $(am__base_list) | \
564         while read files; do \
565           test -z "$$files" || { \
566             echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
567             $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
568         done; }
569
570 uninstall-man1:
571         @$(NORMAL_UNINSTALL)
572         @list='$(dist_man1_MANS)'; test -n "$(man1dir)" || exit 0; \
573         files=`{ for i in $$list; do echo "$$i"; done; \
574         } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
575               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
576         dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
577 install-man7: $(dist_man7_MANS)
578         @$(NORMAL_INSTALL)
579         @list1='$(dist_man7_MANS)'; \
580         list2=''; \
581         test -n "$(man7dir)" \
582           && test -n "`echo $$list1$$list2`" \
583           || exit 0; \
584         echo " $(MKDIR_P) '$(DESTDIR)$(man7dir)'"; \
585         $(MKDIR_P) "$(DESTDIR)$(man7dir)" || exit 1; \
586         { for i in $$list1; do echo "$$i"; done;  \
587         if test -n "$$list2"; then \
588           for i in $$list2; do echo "$$i"; done \
589             | sed -n '/\.7[a-z]*$$/p'; \
590         fi; \
591         } | while read p; do \
592           if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
593           echo "$$d$$p"; echo "$$p"; \
594         done | \
595         sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^7][0-9a-z]*$$,7,;x' \
596               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
597         sed 'N;N;s,\n, ,g' | { \
598         list=; while read file base inst; do \
599           if test "$$base" = "$$inst"; then list="$$list $$file"; else \
600             echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man7dir)/$$inst'"; \
601             $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man7dir)/$$inst" || exit $$?; \
602           fi; \
603         done; \
604         for i in $$list; do echo "$$i"; done | $(am__base_list) | \
605         while read files; do \
606           test -z "$$files" || { \
607             echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man7dir)'"; \
608             $(INSTALL_DATA) $$files "$(DESTDIR)$(man7dir)" || exit $$?; }; \
609         done; }
610
611 uninstall-man7:
612         @$(NORMAL_UNINSTALL)
613         @list='$(dist_man7_MANS)'; test -n "$(man7dir)" || exit 0; \
614         files=`{ for i in $$list; do echo "$$i"; done; \
615         } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^7][0-9a-z]*$$,7,;x' \
616               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
617         dir='$(DESTDIR)$(man7dir)'; $(am__uninstall_files_from_dir)
618
619 ID: $(am__tagged_files)
620         $(am__define_uniq_tagged_files); mkid -fID $$unique
621 tags: tags-am
622 TAGS: tags
623
624 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
625         set x; \
626         here=`pwd`; \
627         $(am__define_uniq_tagged_files); \
628         shift; \
629         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
630           test -n "$$unique" || unique=$$empty_fix; \
631           if test $$# -gt 0; then \
632             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
633               "$$@" $$unique; \
634           else \
635             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
636               $$unique; \
637           fi; \
638         fi
639 ctags: ctags-am
640
641 CTAGS: ctags
642 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
643         $(am__define_uniq_tagged_files); \
644         test -z "$(CTAGS_ARGS)$$unique" \
645           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
646              $$unique
647
648 GTAGS:
649         here=`$(am__cd) $(top_builddir) && pwd` \
650           && $(am__cd) $(top_srcdir) \
651           && gtags -i $(GTAGS_ARGS) "$$here"
652 cscope: cscope.files
653         test ! -s cscope.files \
654           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
655 clean-cscope:
656         -rm -f cscope.files
657 cscope.files: clean-cscope cscopelist
658 cscopelist: cscopelist-am
659
660 cscopelist-am: $(am__tagged_files)
661         list='$(am__tagged_files)'; \
662         case "$(srcdir)" in \
663           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
664           *) sdir=$(subdir)/$(srcdir) ;; \
665         esac; \
666         for i in $$list; do \
667           if test -f "$$i"; then \
668             echo "$(subdir)/$$i"; \
669           else \
670             echo "$$sdir/$$i"; \
671           fi; \
672         done >> $(top_builddir)/cscope.files
673
674 distclean-tags:
675         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
676         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
677
678 distdir: $(BUILT_SOURCES)
679         $(MAKE) $(AM_MAKEFLAGS) distdir-am
680
681 distdir-am: $(DISTFILES)
682         $(am__remove_distdir)
683         test -d "$(distdir)" || mkdir "$(distdir)"
684         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
685         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
686         list='$(DISTFILES)'; \
687           dist_files=`for file in $$list; do echo $$file; done | \
688           sed -e "s|^$$srcdirstrip/||;t" \
689               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
690         case $$dist_files in \
691           */*) $(MKDIR_P) `echo "$$dist_files" | \
692                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
693                            sort -u` ;; \
694         esac; \
695         for file in $$dist_files; do \
696           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
697           if test -d $$d/$$file; then \
698             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
699             if test -d "$(distdir)/$$file"; then \
700               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
701             fi; \
702             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
703               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
704               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
705             fi; \
706             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
707           else \
708             test -f "$(distdir)/$$file" \
709             || cp -p $$d/$$file "$(distdir)/$$file" \
710             || exit 1; \
711           fi; \
712         done
713         $(MAKE) $(AM_MAKEFLAGS) \
714           top_distdir="$(top_distdir)" distdir="$(distdir)" \
715           dist-hook
716         -test -n "$(am__skip_mode_fix)" \
717         || find "$(distdir)" -type d ! -perm -755 \
718                 -exec chmod u+rwx,go+rx {} \; -o \
719           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
720           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
721           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
722         || chmod -R a+r "$(distdir)"
723 dist-gzip: distdir
724         tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
725         $(am__post_remove_distdir)
726
727 dist-bzip2: distdir
728         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
729         $(am__post_remove_distdir)
730
731 dist-lzip: distdir
732         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
733         $(am__post_remove_distdir)
734
735 dist-xz: distdir
736         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
737         $(am__post_remove_distdir)
738
739 dist-tarZ: distdir
740         @echo WARNING: "Support for distribution archives compressed with" \
741                        "legacy program 'compress' is deprecated." >&2
742         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
743         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
744         $(am__post_remove_distdir)
745
746 dist-shar: distdir
747         @echo WARNING: "Support for shar distribution archives is" \
748                        "deprecated." >&2
749         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
750         shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
751         $(am__post_remove_distdir)
752
753 dist-zip: distdir
754         -rm -f $(distdir).zip
755         zip -rq $(distdir).zip $(distdir)
756         $(am__post_remove_distdir)
757
758 dist dist-all:
759         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
760         $(am__post_remove_distdir)
761
762 # This target untars the dist file and tries a VPATH configuration.  Then
763 # it guarantees that the distribution is self-contained by making another
764 # tarfile.
765 distcheck: dist
766         case '$(DIST_ARCHIVES)' in \
767         *.tar.gz*) \
768           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
769         *.tar.bz2*) \
770           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
771         *.tar.lz*) \
772           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
773         *.tar.xz*) \
774           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
775         *.tar.Z*) \
776           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
777         *.shar.gz*) \
778           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
779         *.zip*) \
780           unzip $(distdir).zip ;;\
781         esac
782         chmod -R a-w $(distdir)
783         chmod u+w $(distdir)
784         mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
785         chmod a-w $(distdir)
786         test -d $(distdir)/_build || exit 0; \
787         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
788           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
789           && am__cwd=`pwd` \
790           && $(am__cd) $(distdir)/_build/sub \
791           && ../../configure \
792             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
793             $(DISTCHECK_CONFIGURE_FLAGS) \
794             --srcdir=../.. --prefix="$$dc_install_base" \
795           && $(MAKE) $(AM_MAKEFLAGS) \
796           && $(MAKE) $(AM_MAKEFLAGS) dvi \
797           && $(MAKE) $(AM_MAKEFLAGS) check \
798           && $(MAKE) $(AM_MAKEFLAGS) install \
799           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
800           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
801           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
802                 distuninstallcheck \
803           && chmod -R a-w "$$dc_install_base" \
804           && ({ \
805                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
806                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
807                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
808                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
809                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
810               } || { rm -rf "$$dc_destdir"; exit 1; }) \
811           && rm -rf "$$dc_destdir" \
812           && $(MAKE) $(AM_MAKEFLAGS) dist \
813           && rm -rf $(DIST_ARCHIVES) \
814           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
815           && cd "$$am__cwd" \
816           || exit 1
817         $(am__post_remove_distdir)
818         @(echo "$(distdir) archives ready for distribution: "; \
819           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
820           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
821 distuninstallcheck:
822         @test -n '$(distuninstallcheck_dir)' || { \
823           echo 'ERROR: trying to run $@ with an empty' \
824                '$$(distuninstallcheck_dir)' >&2; \
825           exit 1; \
826         }; \
827         $(am__cd) '$(distuninstallcheck_dir)' || { \
828           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
829           exit 1; \
830         }; \
831         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
832            || { echo "ERROR: files left after uninstall:" ; \
833                 if test -n "$(DESTDIR)"; then \
834                   echo "  (check DESTDIR support)"; \
835                 fi ; \
836                 $(distuninstallcheck_listfiles) ; \
837                 exit 1; } >&2
838 distcleancheck: distclean
839         @if test '$(srcdir)' = . ; then \
840           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
841           exit 1 ; \
842         fi
843         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
844           || { echo "ERROR: files left in build directory after distclean:" ; \
845                $(distcleancheck_listfiles) ; \
846                exit 1; } >&2
847 check-am: all-am
848 check: check-am
849 all-am: Makefile $(PROGRAMS) $(MANS) config.h
850 installdirs:
851         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man7dir)"; do \
852           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
853         done
854 install: install-am
855 install-exec: install-exec-am
856 install-data: install-data-am
857 uninstall: uninstall-am
858
859 install-am: all-am
860         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
861
862 installcheck: installcheck-am
863 install-strip:
864         if test -z '$(STRIP)'; then \
865           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
866             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
867               install; \
868         else \
869           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
870             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
871             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
872         fi
873 mostlyclean-generic:
874
875 clean-generic:
876
877 distclean-generic:
878         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
879         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
880         -rm -f md5/$(DEPDIR)/$(am__dirstamp)
881         -rm -f md5/$(am__dirstamp)
882
883 maintainer-clean-generic:
884         @echo "This command is intended for maintainers to use"
885         @echo "it deletes files that may require special tools to rebuild."
886 clean: clean-am
887
888 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
889
890 distclean: distclean-am
891         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
892                 -rm -f ./$(DEPDIR)/commandidentifier.Po
893         -rm -f ./$(DEPDIR)/confirmmatch.Po
894         -rm -f ./$(DEPDIR)/dir.Po
895         -rm -f ./$(DEPDIR)/errormsg.Po
896         -rm -f ./$(DEPDIR)/fdupes.Po
897         -rm -f ./$(DEPDIR)/fileaction.Po
898         -rm -f ./$(DEPDIR)/flags.Po
899         -rm -f ./$(DEPDIR)/fmatch.Po
900         -rm -f ./$(DEPDIR)/log.Po
901         -rm -f ./$(DEPDIR)/mbstowcs_escape_invalid.Po
902         -rm -f ./$(DEPDIR)/ncurses-commands.Po
903         -rm -f ./$(DEPDIR)/ncurses-getcommand.Po
904         -rm -f ./$(DEPDIR)/ncurses-interface.Po
905         -rm -f ./$(DEPDIR)/ncurses-print.Po
906         -rm -f ./$(DEPDIR)/ncurses-prompt.Po
907         -rm -f ./$(DEPDIR)/ncurses-status.Po
908         -rm -f ./$(DEPDIR)/positive_wcwidth.Po
909         -rm -f ./$(DEPDIR)/removeifnotchanged.Po
910         -rm -f ./$(DEPDIR)/sigint.Po
911         -rm -f ./$(DEPDIR)/wcs.Po
912         -rm -f md5/$(DEPDIR)/md5.Po
913         -rm -f Makefile
914 distclean-am: clean-am distclean-compile distclean-generic \
915         distclean-hdr distclean-tags
916
917 dvi: dvi-am
918
919 dvi-am:
920
921 html: html-am
922
923 html-am:
924
925 info: info-am
926
927 info-am:
928
929 install-data-am: install-man
930
931 install-dvi: install-dvi-am
932
933 install-dvi-am:
934
935 install-exec-am: install-binPROGRAMS
936
937 install-html: install-html-am
938
939 install-html-am:
940
941 install-info: install-info-am
942
943 install-info-am:
944
945 install-man: install-man1 install-man7
946
947 install-pdf: install-pdf-am
948
949 install-pdf-am:
950
951 install-ps: install-ps-am
952
953 install-ps-am:
954
955 installcheck-am:
956
957 maintainer-clean: maintainer-clean-am
958         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
959         -rm -rf $(top_srcdir)/autom4te.cache
960                 -rm -f ./$(DEPDIR)/commandidentifier.Po
961         -rm -f ./$(DEPDIR)/confirmmatch.Po
962         -rm -f ./$(DEPDIR)/dir.Po
963         -rm -f ./$(DEPDIR)/errormsg.Po
964         -rm -f ./$(DEPDIR)/fdupes.Po
965         -rm -f ./$(DEPDIR)/fileaction.Po
966         -rm -f ./$(DEPDIR)/flags.Po
967         -rm -f ./$(DEPDIR)/fmatch.Po
968         -rm -f ./$(DEPDIR)/log.Po
969         -rm -f ./$(DEPDIR)/mbstowcs_escape_invalid.Po
970         -rm -f ./$(DEPDIR)/ncurses-commands.Po
971         -rm -f ./$(DEPDIR)/ncurses-getcommand.Po
972         -rm -f ./$(DEPDIR)/ncurses-interface.Po
973         -rm -f ./$(DEPDIR)/ncurses-print.Po
974         -rm -f ./$(DEPDIR)/ncurses-prompt.Po
975         -rm -f ./$(DEPDIR)/ncurses-status.Po
976         -rm -f ./$(DEPDIR)/positive_wcwidth.Po
977         -rm -f ./$(DEPDIR)/removeifnotchanged.Po
978         -rm -f ./$(DEPDIR)/sigint.Po
979         -rm -f ./$(DEPDIR)/wcs.Po
980         -rm -f md5/$(DEPDIR)/md5.Po
981         -rm -f Makefile
982 maintainer-clean-am: distclean-am maintainer-clean-generic
983
984 mostlyclean: mostlyclean-am
985
986 mostlyclean-am: mostlyclean-compile mostlyclean-generic
987
988 pdf: pdf-am
989
990 pdf-am:
991
992 ps: ps-am
993
994 ps-am:
995
996 uninstall-am: uninstall-binPROGRAMS uninstall-man
997
998 uninstall-man: uninstall-man1 uninstall-man7
999
1000 .MAKE: all install-am install-strip
1001
1002 .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles am--refresh check \
1003         check-am clean clean-binPROGRAMS clean-cscope clean-generic \
1004         cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
1005         dist-gzip dist-hook dist-lzip dist-shar dist-tarZ dist-xz \
1006         dist-zip distcheck distclean distclean-compile \
1007         distclean-generic distclean-hdr distclean-tags distcleancheck \
1008         distdir distuninstallcheck dvi dvi-am html html-am info \
1009         info-am install install-am install-binPROGRAMS install-data \
1010         install-data-am install-dvi install-dvi-am install-exec \
1011         install-exec-am install-html install-html-am install-info \
1012         install-info-am install-man install-man1 install-man7 \
1013         install-pdf install-pdf-am install-ps install-ps-am \
1014         install-strip installcheck installcheck-am installdirs \
1015         maintainer-clean maintainer-clean-generic mostlyclean \
1016         mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
1017         tags tags-am uninstall uninstall-am uninstall-binPROGRAMS \
1018         uninstall-man uninstall-man1 uninstall-man7
1019
1020 .PRECIOUS: Makefile
1021
1022
1023 dist-hook:
1024         if [ -f $(top_srcdir)/INSTALL.enduser ]; then chmod u+w $(distdir)/INSTALL; \cp -f $(top_srcdir)/INSTALL.enduser $(distdir)/INSTALL; fi
1025
1026 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1027 # Otherwise a system limit (for SysV at least) may be exceeded.
1028 .NOEXPORT: